Link a shot to a scene

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/scenes/{scene_id}/shots

Mark a scene as the source of a shot. The shot must be in the project of the scene. A client or a vendor of the project cannot use this route.

Path parameters

  • scene_id string(uuid) Required

    Unique identifier of the scene

application/json

Body Required

  • shot_id string(uuid) Required

Responses

  • 201 application/json

    The link between the scene and the shot

    Hide response attributes Show response attributes object
    • scene_id string(uuid)
    • shot_id string(uuid)
  • 400

    The body is not valid

  • 403

    You do not have access to this project, you are a client or a vendor, or the shot is in another project

  • 404

    The scene or the shot does not exist

POST /data/scenes/{scene_id}/shots
curl -X POST "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25/shots" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}'
import requests

url = "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25/shots"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "shot_id": "a24a6ea4-ce75-4665-a070-57453082c250"
}
Response examples (201)
{
  "scene_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "shot_id": "b24a6ea4-ce75-4665-a070-57453082c250"
}